## ide-langserv-formatter ide-langserv-formatter |

## Functions

void | ide_langserv_formatter_set_client ()
IdeLangservClient * | ide_langserv_formatter_get_client ()

## Properties

IdeLangservClient * | client | Read / Write

## Types and Values

#define | IDE_TYPE_LANGSERV_FORMATTER
struct | IdeLangservFormatter

## Object Hierarchy

        GObject
        ╰── IdeObject
            ╰── IdeLangservFormatter

## Implemented Interfaces

IdeLangservFormatter implements IdeFormatter.

## Description

## Functions

### ide_langserv_formatter_set_client ()

    void
    ide_langserv_formatter_set_client (IdeLangservFormatter *self,
                                       IdeLangservClient *client);

### ide_langserv_formatter_get_client ()

    IdeLangservClient *
    ide_langserv_formatter_get_client (IdeLangservFormatter *self);

Gets the client to use for the formatter.

#### Parameters

self | a IdeLangservFormatter |

#### Returns

An IdeLangservClient or `NULL`.

[transfer none]

## Types and Values

### IDE_TYPE_LANGSERV_FORMATTER

    #define IDE_TYPE_LANGSERV_FORMATTER (ide_langserv_formatter_get_type())

### struct IdeLangservFormatter

    struct IdeLangservFormatter;

## Property Details

### The `“client”` property

      “client”                   IdeLangservClient *

The client to communicate over.

Flags: Read / Write